# This file was automatically generated by SWIG (http://www.swig.org).
# Version 1.3.33
#
# Don't modify this file, modify the SWIG interface instead.

import _ivaria
import new
new_instancemethod = new.instancemethod
try:
    _swig_property = property
except NameError:
    pass # Python < 2.2 doesn't have 'property'.
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'PySwigObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static) or hasattr(self,name):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError,name

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

import types
try:
    _object = types.ObjectType
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0
del types


def _swig_setattr_nondynamic_method(set):
    def set_attr(self,name,value):
        if (name == "thisown"): return self.this.own(value)
        if hasattr(self,name) or (name == "this"):
            set(self,name,value)
        else:
            raise AttributeError("You cannot add attributes to %s" % self)
    return set_attr


import core
_SetSCFPointer = _ivaria._SetSCFPointer
_GetSCFPointer = _ivaria._GetSCFPointer
if not "core" in dir():
    core = __import__("cspace").__dict__["core"]
core.AddSCFLink(_SetSCFPointer)
CSMutableArrayHelper = core.CSMutableArrayHelper

class iDecal(object):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr
    def __init__(self, *args): 
        this = _ivaria.new_iDecal(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _ivaria.delete_iDecal
    __del__ = lambda self : None;
iDecal_swigregister = _ivaria.iDecal_swigregister
iDecal_swigregister(iDecal)

class iDecalTemplate(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetTimeToLive(*args): return _ivaria.iDecalTemplate_GetTimeToLive(*args)
    def GetMaterialWrapper(*args): return _ivaria.iDecalTemplate_GetMaterialWrapper(*args)
    def GetRenderPriority(*args): return _ivaria.iDecalTemplate_GetRenderPriority(*args)
    def GetZBufMode(*args): return _ivaria.iDecalTemplate_GetZBufMode(*args)
    def GetPolygonNormalThreshold(*args): return _ivaria.iDecalTemplate_GetPolygonNormalThreshold(*args)
    def GetDecalOffset(*args): return _ivaria.iDecalTemplate_GetDecalOffset(*args)
    def HasTopClipping(*args): return _ivaria.iDecalTemplate_HasTopClipping(*args)
    def GetTopClippingScale(*args): return _ivaria.iDecalTemplate_GetTopClippingScale(*args)
    def HasBottomClipping(*args): return _ivaria.iDecalTemplate_HasBottomClipping(*args)
    def GetBottomClippingScale(*args): return _ivaria.iDecalTemplate_GetBottomClippingScale(*args)
    def GetMinTexCoord(*args): return _ivaria.iDecalTemplate_GetMinTexCoord(*args)
    def GetMainColor(*args): return _ivaria.iDecalTemplate_GetMainColor(*args)
    def GetTopColor(*args): return _ivaria.iDecalTemplate_GetTopColor(*args)
    def GetBottomColor(*args): return _ivaria.iDecalTemplate_GetBottomColor(*args)
    def GetMaxTexCoord(*args): return _ivaria.iDecalTemplate_GetMaxTexCoord(*args)
    def GetMixMode(*args): return _ivaria.iDecalTemplate_GetMixMode(*args)
    def GetPerpendicularFaceThreshold(*args): return _ivaria.iDecalTemplate_GetPerpendicularFaceThreshold(*args)
    def GetPerpendicularFaceOffset(*args): return _ivaria.iDecalTemplate_GetPerpendicularFaceOffset(*args)
    def SetTimeToLive(*args): return _ivaria.iDecalTemplate_SetTimeToLive(*args)
    def SetMaterialWrapper(*args): return _ivaria.iDecalTemplate_SetMaterialWrapper(*args)
    def SetRenderPriority(*args): return _ivaria.iDecalTemplate_SetRenderPriority(*args)
    def SetZBufMode(*args): return _ivaria.iDecalTemplate_SetZBufMode(*args)
    def SetPolygonNormalThreshold(*args): return _ivaria.iDecalTemplate_SetPolygonNormalThreshold(*args)
    def SetDecalOffset(*args): return _ivaria.iDecalTemplate_SetDecalOffset(*args)
    def SetTopClipping(*args): return _ivaria.iDecalTemplate_SetTopClipping(*args)
    def SetBottomClipping(*args): return _ivaria.iDecalTemplate_SetBottomClipping(*args)
    def SetTexCoords(*args): return _ivaria.iDecalTemplate_SetTexCoords(*args)
    def SetMixMode(*args): return _ivaria.iDecalTemplate_SetMixMode(*args)
    def SetPerpendicularFaceThreshold(*args): return _ivaria.iDecalTemplate_SetPerpendicularFaceThreshold(*args)
    def SetPerpendicularFaceOffset(*args): return _ivaria.iDecalTemplate_SetPerpendicularFaceOffset(*args)
    def SetMainColor(*args): return _ivaria.iDecalTemplate_SetMainColor(*args)
    def SetTopColor(*args): return _ivaria.iDecalTemplate_SetTopColor(*args)
    def SetBottomColor(*args): return _ivaria.iDecalTemplate_SetBottomColor(*args)
    scfGetVersion = staticmethod(_ivaria.iDecalTemplate_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iDecalTemplate
    __del__ = lambda self : None;
iDecalTemplate_swigregister = _ivaria.iDecalTemplate_swigregister
iDecalTemplate_swigregister(iDecalTemplate)
iDecalTemplate_scfGetVersion = _ivaria.iDecalTemplate_scfGetVersion

class iDecalBuilder(object):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    __swig_destroy__ = _ivaria.delete_iDecalBuilder
    __del__ = lambda self : None;
    def AddStaticPoly(*args): return _ivaria.iDecalBuilder_AddStaticPoly(*args)
iDecalBuilder_swigregister = _ivaria.iDecalBuilder_swigregister
iDecalBuilder_swigregister(iDecalBuilder)

class iDecalManager(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def CreateDecal(*args): return _ivaria.iDecalManager_CreateDecal(*args)
    def CreateDecalTemplate(*args): return _ivaria.iDecalManager_CreateDecalTemplate(*args)
    def DeleteDecal(*args): return _ivaria.iDecalManager_DeleteDecal(*args)
    def GetDecalCount(*args): return _ivaria.iDecalManager_GetDecalCount(*args)
    def GetDecal(*args): return _ivaria.iDecalManager_GetDecal(*args)
    scfGetVersion = staticmethod(_ivaria.iDecalManager_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iDecalManager
    __del__ = lambda self : None;
iDecalManager_swigregister = _ivaria.iDecalManager_swigregister
iDecalManager_swigregister(iDecalManager)
iDecalManager_scfGetVersion = _ivaria.iDecalManager_scfGetVersion

csConPageUp = _ivaria.csConPageUp
csConPageDown = _ivaria.csConPageDown
csConVeryTop = _ivaria.csConVeryTop
csConVeryBottom = _ivaria.csConVeryBottom
csConNoCursor = _ivaria.csConNoCursor
csConNormalCursor = _ivaria.csConNormalCursor
csConInsertCursor = _ivaria.csConInsertCursor
class iConsoleWatcher(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def ConsoleVisibilityChanged(*args): return _ivaria.iConsoleWatcher_ConsoleVisibilityChanged(*args)
    __swig_destroy__ = _ivaria.delete_iConsoleWatcher
    __del__ = lambda self : None;
iConsoleWatcher_swigregister = _ivaria.iConsoleWatcher_swigregister
iConsoleWatcher_swigregister(iConsoleWatcher)

class iConsoleOutput(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def PutText(*args): return _ivaria.iConsoleOutput_PutText(*args)
    def GetLine(*args): return _ivaria.iConsoleOutput_GetLine(*args)
    def Draw2D(*args): return _ivaria.iConsoleOutput_Draw2D(*args)
    def Draw3D(*args): return _ivaria.iConsoleOutput_Draw3D(*args)
    def Clear(*args): return _ivaria.iConsoleOutput_Clear(*args)
    def SetBufferSize(*args): return _ivaria.iConsoleOutput_SetBufferSize(*args)
    def GetTransparency(*args): return _ivaria.iConsoleOutput_GetTransparency(*args)
    def SetTransparency(*args): return _ivaria.iConsoleOutput_SetTransparency(*args)
    def GetFont(*args): return _ivaria.iConsoleOutput_GetFont(*args)
    def SetFont(*args): return _ivaria.iConsoleOutput_SetFont(*args)
    def GetTopLine(*args): return _ivaria.iConsoleOutput_GetTopLine(*args)
    def ScrollTo(*args): return _ivaria.iConsoleOutput_ScrollTo(*args)
    def GetCursorStyle(*args): return _ivaria.iConsoleOutput_GetCursorStyle(*args)
    def SetCursorStyle(*args): return _ivaria.iConsoleOutput_SetCursorStyle(*args)
    def SetVisible(*args): return _ivaria.iConsoleOutput_SetVisible(*args)
    def GetVisible(*args): return _ivaria.iConsoleOutput_GetVisible(*args)
    def AutoUpdate(*args): return _ivaria.iConsoleOutput_AutoUpdate(*args)
    def SetCursorPos(*args): return _ivaria.iConsoleOutput_SetCursorPos(*args)
    def GetMaxLineWidth(*args): return _ivaria.iConsoleOutput_GetMaxLineWidth(*args)
    def RegisterWatcher(*args): return _ivaria.iConsoleOutput_RegisterWatcher(*args)
    def PerformExtension(*args): return _ivaria.iConsoleOutput_PerformExtension(*args)
    scfGetVersion = staticmethod(_ivaria.iConsoleOutput_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iConsoleOutput
    __del__ = lambda self : None;
iConsoleOutput_swigregister = _ivaria.iConsoleOutput_swigregister
iConsoleOutput_swigregister(iConsoleOutput)
iConsoleOutput_scfGetVersion = _ivaria.iConsoleOutput_scfGetVersion

class iConsoleExecCallback(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Execute(*args): return _ivaria.iConsoleExecCallback_Execute(*args)
    scfGetVersion = staticmethod(_ivaria.iConsoleExecCallback_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iConsoleExecCallback
    __del__ = lambda self : None;
iConsoleExecCallback_swigregister = _ivaria.iConsoleExecCallback_swigregister
iConsoleExecCallback_swigregister(iConsoleExecCallback)
iConsoleExecCallback_scfGetVersion = _ivaria.iConsoleExecCallback_scfGetVersion

class iConsoleInput(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Bind(*args): return _ivaria.iConsoleInput_Bind(*args)
    def SetExecuteCallback(*args): return _ivaria.iConsoleInput_SetExecuteCallback(*args)
    def GetExecuteCallback(*args): return _ivaria.iConsoleInput_GetExecuteCallback(*args)
    def GetText(*args): return _ivaria.iConsoleInput_GetText(*args)
    def GetCurLine(*args): return _ivaria.iConsoleInput_GetCurLine(*args)
    def GetBufferSize(*args): return _ivaria.iConsoleInput_GetBufferSize(*args)
    def SetBufferSize(*args): return _ivaria.iConsoleInput_SetBufferSize(*args)
    def Clear(*args): return _ivaria.iConsoleInput_Clear(*args)
    def SetPrompt(*args): return _ivaria.iConsoleInput_SetPrompt(*args)
    def HandleEvent(*args): return _ivaria.iConsoleInput_HandleEvent(*args)
    scfGetVersion = staticmethod(_ivaria.iConsoleInput_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iConsoleInput
    __del__ = lambda self : None;
iConsoleInput_swigregister = _ivaria.iConsoleInput_swigregister
iConsoleInput_swigregister(iConsoleInput)
iConsoleInput_scfGetVersion = _ivaria.iConsoleInput_scfGetVersion

class iStandardReporterListener(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetOutputConsole(*args): return _ivaria.iStandardReporterListener_SetOutputConsole(*args)
    def SetNativeWindowManager(*args): return _ivaria.iStandardReporterListener_SetNativeWindowManager(*args)
    def SetReporter(*args): return _ivaria.iStandardReporterListener_SetReporter(*args)
    def SetDebugFile(*args): return _ivaria.iStandardReporterListener_SetDebugFile(*args)
    def SetDefaults(*args): return _ivaria.iStandardReporterListener_SetDefaults(*args)
    def SetMessageDestination(*args): return _ivaria.iStandardReporterListener_SetMessageDestination(*args)
    def SetStandardOutput(*args): return _ivaria.iStandardReporterListener_SetStandardOutput(*args)
    def IsStandardOutput(*args): return _ivaria.iStandardReporterListener_IsStandardOutput(*args)
    def SetStandardError(*args): return _ivaria.iStandardReporterListener_SetStandardError(*args)
    def IsStandardError(*args): return _ivaria.iStandardReporterListener_IsStandardError(*args)
    def SetConsoleOutput(*args): return _ivaria.iStandardReporterListener_SetConsoleOutput(*args)
    def IsConsoleOutput(*args): return _ivaria.iStandardReporterListener_IsConsoleOutput(*args)
    def SetAlertOutput(*args): return _ivaria.iStandardReporterListener_SetAlertOutput(*args)
    def IsAlertOutput(*args): return _ivaria.iStandardReporterListener_IsAlertOutput(*args)
    def SetDebugOutput(*args): return _ivaria.iStandardReporterListener_SetDebugOutput(*args)
    def IsDebugOutput(*args): return _ivaria.iStandardReporterListener_IsDebugOutput(*args)
    def SetPopupOutput(*args): return _ivaria.iStandardReporterListener_SetPopupOutput(*args)
    def IsPopupOutput(*args): return _ivaria.iStandardReporterListener_IsPopupOutput(*args)
    def RemoveMessages(*args): return _ivaria.iStandardReporterListener_RemoveMessages(*args)
    def ShowMessageID(*args): return _ivaria.iStandardReporterListener_ShowMessageID(*args)
    def GetDebugFile(*args): return _ivaria.iStandardReporterListener_GetDebugFile(*args)
    scfGetVersion = staticmethod(_ivaria.iStandardReporterListener_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iStandardReporterListener
    __del__ = lambda self : None;
iStandardReporterListener_swigregister = _ivaria.iStandardReporterListener_swigregister
iStandardReporterListener_swigregister(iStandardReporterListener)
iStandardReporterListener_scfGetVersion = _ivaria.iStandardReporterListener_scfGetVersion

class iView(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetEngine(*args): return _ivaria.iView_GetEngine(*args)
    def SetEngine(*args): return _ivaria.iView_SetEngine(*args)
    def GetCamera(*args): return _ivaria.iView_GetCamera(*args)
    def SetCamera(*args): return _ivaria.iView_SetCamera(*args)
    def GetContext(*args): return _ivaria.iView_GetContext(*args)
    def SetContext(*args): return _ivaria.iView_SetContext(*args)
    def SetRectangle(*args): return _ivaria.iView_SetRectangle(*args)
    def ClearView(*args): return _ivaria.iView_ClearView(*args)
    def AddViewVertex(*args): return _ivaria.iView_AddViewVertex(*args)
    def RestrictClipperToScreen(*args): return _ivaria.iView_RestrictClipperToScreen(*args)
    def UpdateClipper(*args): return _ivaria.iView_UpdateClipper(*args)
    def GetClipper(*args): return _ivaria.iView_GetClipper(*args)
    def Draw(*args): return _ivaria.iView_Draw(*args)
    def SetAutoResize(*args): return _ivaria.iView_SetAutoResize(*args)
    scfGetVersion = staticmethod(_ivaria.iView_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iView
    __del__ = lambda self : None;
iView_swigregister = _ivaria.iView_swigregister
iView_swigregister(iView)
iView_scfGetVersion = _ivaria.iView_scfGetVersion

class iBugPlugRenderObject(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Render(*args): return _ivaria.iBugPlugRenderObject_Render(*args)
    __swig_destroy__ = _ivaria.delete_iBugPlugRenderObject
    __del__ = lambda self : None;
iBugPlugRenderObject_swigregister = _ivaria.iBugPlugRenderObject_swigregister
iBugPlugRenderObject_swigregister(iBugPlugRenderObject)

class iBugPlug(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetupDebugSector(*args): return _ivaria.iBugPlug_SetupDebugSector(*args)
    def DebugSectorBox(*args): return _ivaria.iBugPlug_DebugSectorBox(*args)
    def DebugSectorTriangle(*args): return _ivaria.iBugPlug_DebugSectorTriangle(*args)
    def SwitchDebugSector(*args): return _ivaria.iBugPlug_SwitchDebugSector(*args)
    def CheckDebugSector(*args): return _ivaria.iBugPlug_CheckDebugSector(*args)
    def SetupDebugView(*args): return _ivaria.iBugPlug_SetupDebugView(*args)
    def DebugViewPoint(*args): return _ivaria.iBugPlug_DebugViewPoint(*args)
    def DebugViewLine(*args): return _ivaria.iBugPlug_DebugViewLine(*args)
    def DebugViewBox(*args): return _ivaria.iBugPlug_DebugViewBox(*args)
    def DebugViewPointCount(*args): return _ivaria.iBugPlug_DebugViewPointCount(*args)
    def DebugViewGetPoint(*args): return _ivaria.iBugPlug_DebugViewGetPoint(*args)
    def DebugViewLineCount(*args): return _ivaria.iBugPlug_DebugViewLineCount(*args)
    def DebugViewGetLine(*args): return _ivaria.iBugPlug_DebugViewGetLine(*args)
    def DebugViewBoxCount(*args): return _ivaria.iBugPlug_DebugViewBoxCount(*args)
    def DebugViewGetBox(*args): return _ivaria.iBugPlug_DebugViewGetBox(*args)
    def DebugViewRenderObject(*args): return _ivaria.iBugPlug_DebugViewRenderObject(*args)
    def DebugViewClearScreen(*args): return _ivaria.iBugPlug_DebugViewClearScreen(*args)
    def SwitchDebugView(*args): return _ivaria.iBugPlug_SwitchDebugView(*args)
    def CheckDebugView(*args): return _ivaria.iBugPlug_CheckDebugView(*args)
    def AddCounter(*args): return _ivaria.iBugPlug_AddCounter(*args)
    def AddCounterEnum(*args): return _ivaria.iBugPlug_AddCounterEnum(*args)
    def ResetCounter(*args): return _ivaria.iBugPlug_ResetCounter(*args)
    def RemoveCounter(*args): return _ivaria.iBugPlug_RemoveCounter(*args)
    def ExecCommand(*args): return _ivaria.iBugPlug_ExecCommand(*args)
    scfGetVersion = staticmethod(_ivaria.iBugPlug_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iBugPlug
    __del__ = lambda self : None;
iBugPlug_swigregister = _ivaria.iBugPlug_swigregister
iBugPlug_swigregister(iBugPlug)
iBugPlug_scfGetVersion = _ivaria.iBugPlug_scfGetVersion

class csCollisionPair(object):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr
    a1 = _swig_property(_ivaria.csCollisionPair_a1_get, _ivaria.csCollisionPair_a1_set)
    b1 = _swig_property(_ivaria.csCollisionPair_b1_get, _ivaria.csCollisionPair_b1_set)
    c1 = _swig_property(_ivaria.csCollisionPair_c1_get, _ivaria.csCollisionPair_c1_set)
    a2 = _swig_property(_ivaria.csCollisionPair_a2_get, _ivaria.csCollisionPair_a2_set)
    b2 = _swig_property(_ivaria.csCollisionPair_b2_get, _ivaria.csCollisionPair_b2_set)
    c2 = _swig_property(_ivaria.csCollisionPair_c2_get, _ivaria.csCollisionPair_c2_set)
    def __eq__(*args): return _ivaria.csCollisionPair___eq__(*args)
    def __init__(self, *args): 
        this = _ivaria.new_csCollisionPair(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _ivaria.delete_csCollisionPair
    __del__ = lambda self : None;
csCollisionPair_swigregister = _ivaria.csCollisionPair_swigregister
csCollisionPair_swigregister(csCollisionPair)

class csIntersectingTriangle(object):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr
    a = _swig_property(_ivaria.csIntersectingTriangle_a_get, _ivaria.csIntersectingTriangle_a_set)
    b = _swig_property(_ivaria.csIntersectingTriangle_b_get, _ivaria.csIntersectingTriangle_b_set)
    c = _swig_property(_ivaria.csIntersectingTriangle_c_get, _ivaria.csIntersectingTriangle_c_set)
    def __init__(self, *args): 
        this = _ivaria.new_csIntersectingTriangle(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _ivaria.delete_csIntersectingTriangle
    __del__ = lambda self : None;
csIntersectingTriangle_swigregister = _ivaria.csIntersectingTriangle_swigregister
csIntersectingTriangle_swigregister(csIntersectingTriangle)

CS_MESH_COLLIDER = _ivaria.CS_MESH_COLLIDER
CS_TERRAFORMER_COLLIDER = _ivaria.CS_TERRAFORMER_COLLIDER
CS_TERRAIN_COLLIDER = _ivaria.CS_TERRAIN_COLLIDER
class iCollider(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetColliderType(*args): return _ivaria.iCollider_GetColliderType(*args)
    scfGetVersion = staticmethod(_ivaria.iCollider_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iCollider
    __del__ = lambda self : None;
iCollider_swigregister = _ivaria.iCollider_swigregister
iCollider_swigregister(iCollider)
iCollider_scfGetVersion = _ivaria.iCollider_scfGetVersion

class iCollideSystem(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetTriangleDataID(*args): return _ivaria.iCollideSystem_GetTriangleDataID(*args)
    def GetBaseDataID(*args): return _ivaria.iCollideSystem_GetBaseDataID(*args)
    def CreateCollider(*args): return _ivaria.iCollideSystem_CreateCollider(*args)
    def Collide(*args): return _ivaria.iCollideSystem_Collide(*args)
    def GetCollisionPairs(*args): return _ivaria.iCollideSystem_GetCollisionPairs(*args)
    def GetCollisionPairCount(*args): return _ivaria.iCollideSystem_GetCollisionPairCount(*args)
    def ResetCollisionPairs(*args): return _ivaria.iCollideSystem_ResetCollisionPairs(*args)
    def CollideRay(*args): return _ivaria.iCollideSystem_CollideRay(*args)
    def CollideSegment(*args): return _ivaria.iCollideSystem_CollideSegment(*args)
    def GetIntersectingTriangles(*args): return _ivaria.iCollideSystem_GetIntersectingTriangles(*args)
    def SetOneHitOnly(*args): return _ivaria.iCollideSystem_SetOneHitOnly(*args)
    def GetOneHitOnly(*args): return _ivaria.iCollideSystem_GetOneHitOnly(*args)
    def GetCollisionPairByIndex(*args): return _ivaria.iCollideSystem_GetCollisionPairByIndex(*args)
    scfGetVersion = staticmethod(_ivaria.iCollideSystem_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iCollideSystem
    __del__ = lambda self : None;
    def GetCollisionPairs (self):
      num = self.GetCollisionPairCount()
      pairs = []
      for i in range(num):
        pairs.append(self.GetCollisionPairByIndex(i))
      return pairs

iCollideSystem_swigregister = _ivaria.iCollideSystem_swigregister
iCollideSystem_swigregister(iCollideSystem)
iCollideSystem_scfGetVersion = _ivaria.iCollideSystem_scfGetVersion

class csCollisionPairArrayReadOnly(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetSize(*args): return _ivaria.csCollisionPairArrayReadOnly_GetSize(*args)
    def Get(*args): return _ivaria.csCollisionPairArrayReadOnly_Get(*args)
    def Top(*args): return _ivaria.csCollisionPairArrayReadOnly_Top(*args)
    def Find(*args): return _ivaria.csCollisionPairArrayReadOnly_Find(*args)
    def GetIndex(*args): return _ivaria.csCollisionPairArrayReadOnly_GetIndex(*args)
    def IsEmpty(*args): return _ivaria.csCollisionPairArrayReadOnly_IsEmpty(*args)
    def GetAll(*args): return _ivaria.csCollisionPairArrayReadOnly_GetAll(*args)
    __swig_destroy__ = _ivaria.delete_csCollisionPairArrayReadOnly
    __del__ = lambda self : None;
csCollisionPairArrayReadOnly_swigregister = _ivaria.csCollisionPairArrayReadOnly_swigregister
csCollisionPairArrayReadOnly_swigregister(csCollisionPairArrayReadOnly)

class csCollisionPairArrayChangeElements(csCollisionPairArrayReadOnly):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Get(*args): return _ivaria.csCollisionPairArrayChangeElements_Get(*args)
    def Top(*args): return _ivaria.csCollisionPairArrayChangeElements_Top(*args)
    __swig_destroy__ = _ivaria.delete_csCollisionPairArrayChangeElements
    __del__ = lambda self : None;
csCollisionPairArrayChangeElements_swigregister = _ivaria.csCollisionPairArrayChangeElements_swigregister
csCollisionPairArrayChangeElements_swigregister(csCollisionPairArrayChangeElements)

class csCollisionPairArrayChangeAll(csCollisionPairArrayChangeElements):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetSize(*args): return _ivaria.csCollisionPairArrayChangeAll_SetSize(*args)
    def GetExtend(*args): return _ivaria.csCollisionPairArrayChangeAll_GetExtend(*args)
    def Put(*args): return _ivaria.csCollisionPairArrayChangeAll_Put(*args)
    def Push(*args): return _ivaria.csCollisionPairArrayChangeAll_Push(*args)
    def PushSmart(*args): return _ivaria.csCollisionPairArrayChangeAll_PushSmart(*args)
    def Pop(*args): return _ivaria.csCollisionPairArrayChangeAll_Pop(*args)
    def Insert(*args): return _ivaria.csCollisionPairArrayChangeAll_Insert(*args)
    def DeleteAll(*args): return _ivaria.csCollisionPairArrayChangeAll_DeleteAll(*args)
    def Truncate(*args): return _ivaria.csCollisionPairArrayChangeAll_Truncate(*args)
    def Empty(*args): return _ivaria.csCollisionPairArrayChangeAll_Empty(*args)
    def DeleteIndex(*args): return _ivaria.csCollisionPairArrayChangeAll_DeleteIndex(*args)
    def DeleteIndexFast(*args): return _ivaria.csCollisionPairArrayChangeAll_DeleteIndexFast(*args)
    def Delete(*args): return _ivaria.csCollisionPairArrayChangeAll_Delete(*args)
    __swig_destroy__ = _ivaria.delete_csCollisionPairArrayChangeAll
    __del__ = lambda self : None;
csCollisionPairArrayChangeAll_swigregister = _ivaria.csCollisionPairArrayChangeAll_swigregister
csCollisionPairArrayChangeAll_swigregister(csCollisionPairArrayChangeAll)

class iDynamicsStepCallback(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Step(*args): return _ivaria.iDynamicsStepCallback_Step(*args)
    __swig_destroy__ = _ivaria.delete_iDynamicsStepCallback
    __del__ = lambda self : None;
iDynamicsStepCallback_swigregister = _ivaria.iDynamicsStepCallback_swigregister
iDynamicsStepCallback_swigregister(iDynamicsStepCallback)

class iDynamics(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def CreateSystem(*args): return _ivaria.iDynamics_CreateSystem(*args)
    def RemoveSystem(*args): return _ivaria.iDynamics_RemoveSystem(*args)
    def RemoveSystems(*args): return _ivaria.iDynamics_RemoveSystems(*args)
    def FindSystem(*args): return _ivaria.iDynamics_FindSystem(*args)
    def Step(*args): return _ivaria.iDynamics_Step(*args)
    def AddStepCallback(*args): return _ivaria.iDynamics_AddStepCallback(*args)
    def RemoveStepCallback(*args): return _ivaria.iDynamics_RemoveStepCallback(*args)
    scfGetVersion = staticmethod(_ivaria.iDynamics_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iDynamics
    __del__ = lambda self : None;
iDynamics_swigregister = _ivaria.iDynamics_swigregister
iDynamics_swigregister(iDynamics)
iDynamics_scfGetVersion = _ivaria.iDynamics_scfGetVersion

class iDynamicSystem(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def QueryObject(*args): return _ivaria.iDynamicSystem_QueryObject(*args)
    def SetGravity(*args): return _ivaria.iDynamicSystem_SetGravity(*args)
    def GetGravity(*args): return _ivaria.iDynamicSystem_GetGravity(*args)
    def SetLinearDampener(*args): return _ivaria.iDynamicSystem_SetLinearDampener(*args)
    def GetLinearDampener(*args): return _ivaria.iDynamicSystem_GetLinearDampener(*args)
    def SetRollingDampener(*args): return _ivaria.iDynamicSystem_SetRollingDampener(*args)
    def GetRollingDampener(*args): return _ivaria.iDynamicSystem_GetRollingDampener(*args)
    def EnableAutoDisable(*args): return _ivaria.iDynamicSystem_EnableAutoDisable(*args)
    def AutoDisableEnabled(*args): return _ivaria.iDynamicSystem_AutoDisableEnabled(*args)
    def SetAutoDisableParams(*args): return _ivaria.iDynamicSystem_SetAutoDisableParams(*args)
    def Step(*args): return _ivaria.iDynamicSystem_Step(*args)
    def CreateBody(*args): return _ivaria.iDynamicSystem_CreateBody(*args)
    def RemoveBody(*args): return _ivaria.iDynamicSystem_RemoveBody(*args)
    def FindBody(*args): return _ivaria.iDynamicSystem_FindBody(*args)
    def GetBody(*args): return _ivaria.iDynamicSystem_GetBody(*args)
    def GetBodysCount(*args): return _ivaria.iDynamicSystem_GetBodysCount(*args)
    def CreateGroup(*args): return _ivaria.iDynamicSystem_CreateGroup(*args)
    def RemoveGroup(*args): return _ivaria.iDynamicSystem_RemoveGroup(*args)
    def CreateJoint(*args): return _ivaria.iDynamicSystem_CreateJoint(*args)
    def RemoveJoint(*args): return _ivaria.iDynamicSystem_RemoveJoint(*args)
    def GetDefaultMoveCallback(*args): return _ivaria.iDynamicSystem_GetDefaultMoveCallback(*args)
    def AttachColliderConvexMesh(*args): return _ivaria.iDynamicSystem_AttachColliderConvexMesh(*args)
    def AttachColliderMesh(*args): return _ivaria.iDynamicSystem_AttachColliderMesh(*args)
    def AttachColliderCylinder(*args): return _ivaria.iDynamicSystem_AttachColliderCylinder(*args)
    def AttachColliderBox(*args): return _ivaria.iDynamicSystem_AttachColliderBox(*args)
    def AttachColliderSphere(*args): return _ivaria.iDynamicSystem_AttachColliderSphere(*args)
    def AttachColliderPlane(*args): return _ivaria.iDynamicSystem_AttachColliderPlane(*args)
    def DestroyColliders(*args): return _ivaria.iDynamicSystem_DestroyColliders(*args)
    def DestroyCollider(*args): return _ivaria.iDynamicSystem_DestroyCollider(*args)
    def AttachCollider(*args): return _ivaria.iDynamicSystem_AttachCollider(*args)
    def CreateCollider(*args): return _ivaria.iDynamicSystem_CreateCollider(*args)
    def GetCollider(*args): return _ivaria.iDynamicSystem_GetCollider(*args)
    def GetColliderCount(*args): return _ivaria.iDynamicSystem_GetColliderCount(*args)
    scfGetVersion = staticmethod(_ivaria.iDynamicSystem_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iDynamicSystem
    __del__ = lambda self : None;
iDynamicSystem_swigregister = _ivaria.iDynamicSystem_swigregister
iDynamicSystem_swigregister(iDynamicSystem)
iDynamicSystem_scfGetVersion = _ivaria.iDynamicSystem_scfGetVersion

class iDynamicsMoveCallback(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Execute(*args): return _ivaria.iDynamicsMoveCallback_Execute(*args)
    __swig_destroy__ = _ivaria.delete_iDynamicsMoveCallback
    __del__ = lambda self : None;
iDynamicsMoveCallback_swigregister = _ivaria.iDynamicsMoveCallback_swigregister
iDynamicsMoveCallback_swigregister(iDynamicsMoveCallback)

class iDynamicsCollisionCallback(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Execute(*args): return _ivaria.iDynamicsCollisionCallback_Execute(*args)
    __swig_destroy__ = _ivaria.delete_iDynamicsCollisionCallback
    __del__ = lambda self : None;
iDynamicsCollisionCallback_swigregister = _ivaria.iDynamicsCollisionCallback_swigregister
iDynamicsCollisionCallback_swigregister(iDynamicsCollisionCallback)

class iBodyGroup(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def AddBody(*args): return _ivaria.iBodyGroup_AddBody(*args)
    def RemoveBody(*args): return _ivaria.iBodyGroup_RemoveBody(*args)
    def BodyInGroup(*args): return _ivaria.iBodyGroup_BodyInGroup(*args)
    scfGetVersion = staticmethod(_ivaria.iBodyGroup_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iBodyGroup
    __del__ = lambda self : None;
iBodyGroup_swigregister = _ivaria.iBodyGroup_swigregister
iBodyGroup_swigregister(iBodyGroup)
iBodyGroup_scfGetVersion = _ivaria.iBodyGroup_scfGetVersion

class iRigidBody(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def QueryObject(*args): return _ivaria.iRigidBody_QueryObject(*args)
    def MakeStatic(*args): return _ivaria.iRigidBody_MakeStatic(*args)
    def MakeDynamic(*args): return _ivaria.iRigidBody_MakeDynamic(*args)
    def IsStatic(*args): return _ivaria.iRigidBody_IsStatic(*args)
    def Disable(*args): return _ivaria.iRigidBody_Disable(*args)
    def Enable(*args): return _ivaria.iRigidBody_Enable(*args)
    def IsEnabled(*args): return _ivaria.iRigidBody_IsEnabled(*args)
    def GetGroup(*args): return _ivaria.iRigidBody_GetGroup(*args)
    def AttachColliderConvexMesh(*args): return _ivaria.iRigidBody_AttachColliderConvexMesh(*args)
    def AttachColliderMesh(*args): return _ivaria.iRigidBody_AttachColliderMesh(*args)
    def AttachColliderCylinder(*args): return _ivaria.iRigidBody_AttachColliderCylinder(*args)
    def AttachColliderBox(*args): return _ivaria.iRigidBody_AttachColliderBox(*args)
    def AttachColliderSphere(*args): return _ivaria.iRigidBody_AttachColliderSphere(*args)
    def AttachColliderPlane(*args): return _ivaria.iRigidBody_AttachColliderPlane(*args)
    def AttachCollider(*args): return _ivaria.iRigidBody_AttachCollider(*args)
    def DestroyColliders(*args): return _ivaria.iRigidBody_DestroyColliders(*args)
    def DestroyCollider(*args): return _ivaria.iRigidBody_DestroyCollider(*args)
    def SetPosition(*args): return _ivaria.iRigidBody_SetPosition(*args)
    def GetPosition(*args): return _ivaria.iRigidBody_GetPosition(*args)
    def SetOrientation(*args): return _ivaria.iRigidBody_SetOrientation(*args)
    def GetOrientation(*args): return _ivaria.iRigidBody_GetOrientation(*args)
    def SetTransform(*args): return _ivaria.iRigidBody_SetTransform(*args)
    def GetTransform(*args): return _ivaria.iRigidBody_GetTransform(*args)
    def SetLinearVelocity(*args): return _ivaria.iRigidBody_SetLinearVelocity(*args)
    def GetLinearVelocity(*args): return _ivaria.iRigidBody_GetLinearVelocity(*args)
    def SetAngularVelocity(*args): return _ivaria.iRigidBody_SetAngularVelocity(*args)
    def GetAngularVelocity(*args): return _ivaria.iRigidBody_GetAngularVelocity(*args)
    def SetProperties(*args): return _ivaria.iRigidBody_SetProperties(*args)
    def GetProperties(*args): return _ivaria.iRigidBody_GetProperties(*args)
    def GetMass(*args): return _ivaria.iRigidBody_GetMass(*args)
    def GetCenter(*args): return _ivaria.iRigidBody_GetCenter(*args)
    def GetInertia(*args): return _ivaria.iRigidBody_GetInertia(*args)
    def AdjustTotalMass(*args): return _ivaria.iRigidBody_AdjustTotalMass(*args)
    def AddForce(*args): return _ivaria.iRigidBody_AddForce(*args)
    def AddTorque(*args): return _ivaria.iRigidBody_AddTorque(*args)
    def AddRelForce(*args): return _ivaria.iRigidBody_AddRelForce(*args)
    def AddRelTorque(*args): return _ivaria.iRigidBody_AddRelTorque(*args)
    def AddForceAtPos(*args): return _ivaria.iRigidBody_AddForceAtPos(*args)
    def AddForceAtRelPos(*args): return _ivaria.iRigidBody_AddForceAtRelPos(*args)
    def AddRelForceAtPos(*args): return _ivaria.iRigidBody_AddRelForceAtPos(*args)
    def AddRelForceAtRelPos(*args): return _ivaria.iRigidBody_AddRelForceAtRelPos(*args)
    def GetForce(*args): return _ivaria.iRigidBody_GetForce(*args)
    def GetTorque(*args): return _ivaria.iRigidBody_GetTorque(*args)
    def AttachMesh(*args): return _ivaria.iRigidBody_AttachMesh(*args)
    def GetAttachedMesh(*args): return _ivaria.iRigidBody_GetAttachedMesh(*args)
    def AttachLight(*args): return _ivaria.iRigidBody_AttachLight(*args)
    def GetAttachedLight(*args): return _ivaria.iRigidBody_GetAttachedLight(*args)
    def AttachCamera(*args): return _ivaria.iRigidBody_AttachCamera(*args)
    def GetAttachedCamera(*args): return _ivaria.iRigidBody_GetAttachedCamera(*args)
    def SetMoveCallback(*args): return _ivaria.iRigidBody_SetMoveCallback(*args)
    def SetCollisionCallback(*args): return _ivaria.iRigidBody_SetCollisionCallback(*args)
    def Collision(*args): return _ivaria.iRigidBody_Collision(*args)
    def Update(*args): return _ivaria.iRigidBody_Update(*args)
    def GetCollider(*args): return _ivaria.iRigidBody_GetCollider(*args)
    def GetColliderCount(*args): return _ivaria.iRigidBody_GetColliderCount(*args)
    __swig_destroy__ = _ivaria.delete_iRigidBody
    __del__ = lambda self : None;
iRigidBody_swigregister = _ivaria.iRigidBody_swigregister
iRigidBody_swigregister(iRigidBody)

NO_GEOMETRY = _ivaria.NO_GEOMETRY
BOX_COLLIDER_GEOMETRY = _ivaria.BOX_COLLIDER_GEOMETRY
PLANE_COLLIDER_GEOMETRY = _ivaria.PLANE_COLLIDER_GEOMETRY
TRIMESH_COLLIDER_GEOMETRY = _ivaria.TRIMESH_COLLIDER_GEOMETRY
CYLINDER_COLLIDER_GEOMETRY = _ivaria.CYLINDER_COLLIDER_GEOMETRY
CAPSULE_COLLIDER_GEOMETRY = _ivaria.CAPSULE_COLLIDER_GEOMETRY
SPHERE_COLLIDER_GEOMETRY = _ivaria.SPHERE_COLLIDER_GEOMETRY
class iDynamicsColliderCollisionCallback(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Execute(*args): return _ivaria.iDynamicsColliderCollisionCallback_Execute(*args)
    __swig_destroy__ = _ivaria.delete_iDynamicsColliderCollisionCallback
    __del__ = lambda self : None;
iDynamicsColliderCollisionCallback_swigregister = _ivaria.iDynamicsColliderCollisionCallback_swigregister
iDynamicsColliderCollisionCallback_swigregister(iDynamicsColliderCollisionCallback)

class iDynamicsSystemCollider(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def CreateSphereGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreateSphereGeometry(*args)
    def CreatePlaneGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreatePlaneGeometry(*args)
    def CreateConvexMeshGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreateConvexMeshGeometry(*args)
    def CreateMeshGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreateMeshGeometry(*args)
    def CreateBoxGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreateBoxGeometry(*args)
    def CreateCapsuleGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreateCapsuleGeometry(*args)
    def CreateCylinderGeometry(*args): return _ivaria.iDynamicsSystemCollider_CreateCylinderGeometry(*args)
    def SetCollisionCallback(*args): return _ivaria.iDynamicsSystemCollider_SetCollisionCallback(*args)
    def SetFriction(*args): return _ivaria.iDynamicsSystemCollider_SetFriction(*args)
    def SetSoftness(*args): return _ivaria.iDynamicsSystemCollider_SetSoftness(*args)
    def SetDensity(*args): return _ivaria.iDynamicsSystemCollider_SetDensity(*args)
    def SetElasticity(*args): return _ivaria.iDynamicsSystemCollider_SetElasticity(*args)
    def GetFriction(*args): return _ivaria.iDynamicsSystemCollider_GetFriction(*args)
    def GetSoftness(*args): return _ivaria.iDynamicsSystemCollider_GetSoftness(*args)
    def GetDensity(*args): return _ivaria.iDynamicsSystemCollider_GetDensity(*args)
    def GetElasticity(*args): return _ivaria.iDynamicsSystemCollider_GetElasticity(*args)
    def FillWithColliderGeometry(*args): return _ivaria.iDynamicsSystemCollider_FillWithColliderGeometry(*args)
    def GetGeometryType(*args): return _ivaria.iDynamicsSystemCollider_GetGeometryType(*args)
    def GetTransform(*args): return _ivaria.iDynamicsSystemCollider_GetTransform(*args)
    def GetLocalTransform(*args): return _ivaria.iDynamicsSystemCollider_GetLocalTransform(*args)
    def SetTransform(*args): return _ivaria.iDynamicsSystemCollider_SetTransform(*args)
    def GetBoxGeometry(*args): return _ivaria.iDynamicsSystemCollider_GetBoxGeometry(*args)
    def GetSphereGeometry(*args): return _ivaria.iDynamicsSystemCollider_GetSphereGeometry(*args)
    def GetPlaneGeometry(*args): return _ivaria.iDynamicsSystemCollider_GetPlaneGeometry(*args)
    def GetCylinderGeometry(*args): return _ivaria.iDynamicsSystemCollider_GetCylinderGeometry(*args)
    def MakeStatic(*args): return _ivaria.iDynamicsSystemCollider_MakeStatic(*args)
    def MakeDynamic(*args): return _ivaria.iDynamicsSystemCollider_MakeDynamic(*args)
    def IsStatic(*args): return _ivaria.iDynamicsSystemCollider_IsStatic(*args)
    __swig_destroy__ = _ivaria.delete_iDynamicsSystemCollider
    __del__ = lambda self : None;
iDynamicsSystemCollider_swigregister = _ivaria.iDynamicsSystemCollider_swigregister
iDynamicsSystemCollider_swigregister(iDynamicsSystemCollider)

class iJoint(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Attach(*args): return _ivaria.iJoint_Attach(*args)
    def GetAttachedBody(*args): return _ivaria.iJoint_GetAttachedBody(*args)
    def SetTransform(*args): return _ivaria.iJoint_SetTransform(*args)
    def GetTransform(*args): return _ivaria.iJoint_GetTransform(*args)
    def SetTransConstraints(*args): return _ivaria.iJoint_SetTransConstraints(*args)
    def IsXTransConstrained(*args): return _ivaria.iJoint_IsXTransConstrained(*args)
    def IsYTransConstrained(*args): return _ivaria.iJoint_IsYTransConstrained(*args)
    def IsZTransConstrained(*args): return _ivaria.iJoint_IsZTransConstrained(*args)
    def SetMinimumDistance(*args): return _ivaria.iJoint_SetMinimumDistance(*args)
    def GetMinimumDistance(*args): return _ivaria.iJoint_GetMinimumDistance(*args)
    def SetMaximumDistance(*args): return _ivaria.iJoint_SetMaximumDistance(*args)
    def GetMaximumDistance(*args): return _ivaria.iJoint_GetMaximumDistance(*args)
    def SetRotConstraints(*args): return _ivaria.iJoint_SetRotConstraints(*args)
    def IsXRotConstrained(*args): return _ivaria.iJoint_IsXRotConstrained(*args)
    def IsYRotConstrained(*args): return _ivaria.iJoint_IsYRotConstrained(*args)
    def IsZRotConstrained(*args): return _ivaria.iJoint_IsZRotConstrained(*args)
    def SetMinimumAngle(*args): return _ivaria.iJoint_SetMinimumAngle(*args)
    def GetMinimumAngle(*args): return _ivaria.iJoint_GetMinimumAngle(*args)
    def SetMaximumAngle(*args): return _ivaria.iJoint_SetMaximumAngle(*args)
    def GetMaximumAngle(*args): return _ivaria.iJoint_GetMaximumAngle(*args)
    def SetBounce(*args): return _ivaria.iJoint_SetBounce(*args)
    def GetBounce(*args): return _ivaria.iJoint_GetBounce(*args)
    def SetDesiredVelocity(*args): return _ivaria.iJoint_SetDesiredVelocity(*args)
    def GetDesiredVelocity(*args): return _ivaria.iJoint_GetDesiredVelocity(*args)
    def SetMaxForce(*args): return _ivaria.iJoint_SetMaxForce(*args)
    def GetMaxForce(*args): return _ivaria.iJoint_GetMaxForce(*args)
    def SetAngularConstraintAxis(*args): return _ivaria.iJoint_SetAngularConstraintAxis(*args)
    def GetAngularConstraintAxis(*args): return _ivaria.iJoint_GetAngularConstraintAxis(*args)
    def RebuildJoint(*args): return _ivaria.iJoint_RebuildJoint(*args)
    scfGetVersion = staticmethod(_ivaria.iJoint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iJoint
    __del__ = lambda self : None;
iJoint_swigregister = _ivaria.iJoint_swigregister
iJoint_swigregister(iJoint)
iJoint_scfGetVersion = _ivaria.iJoint_scfGetVersion

class iODEFrameUpdateCallback(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Execute(*args): return _ivaria.iODEFrameUpdateCallback_Execute(*args)
    __swig_destroy__ = _ivaria.delete_iODEFrameUpdateCallback
    __del__ = lambda self : None;
iODEFrameUpdateCallback_swigregister = _ivaria.iODEFrameUpdateCallback_swigregister
iODEFrameUpdateCallback_swigregister(iODEFrameUpdateCallback)

class iODEDynamicState(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetGlobalERP(*args): return _ivaria.iODEDynamicState_SetGlobalERP(*args)
    def GlobalERP(*args): return _ivaria.iODEDynamicState_GlobalERP(*args)
    def SetGlobalCFM(*args): return _ivaria.iODEDynamicState_SetGlobalCFM(*args)
    def GlobalCFM(*args): return _ivaria.iODEDynamicState_GlobalCFM(*args)
    def EnableStepFast(*args): return _ivaria.iODEDynamicState_EnableStepFast(*args)
    def StepFastEnabled(*args): return _ivaria.iODEDynamicState_StepFastEnabled(*args)
    def SetStepFastIterations(*args): return _ivaria.iODEDynamicState_SetStepFastIterations(*args)
    def StepFastIterations(*args): return _ivaria.iODEDynamicState_StepFastIterations(*args)
    def EnableQuickStep(*args): return _ivaria.iODEDynamicState_EnableQuickStep(*args)
    def QuickStepEnabled(*args): return _ivaria.iODEDynamicState_QuickStepEnabled(*args)
    def SetQuickStepIterations(*args): return _ivaria.iODEDynamicState_SetQuickStepIterations(*args)
    def QuickStepIterations(*args): return _ivaria.iODEDynamicState_QuickStepIterations(*args)
    def EnableFrameRate(*args): return _ivaria.iODEDynamicState_EnableFrameRate(*args)
    def FrameRateEnabled(*args): return _ivaria.iODEDynamicState_FrameRateEnabled(*args)
    def SetFrameRate(*args): return _ivaria.iODEDynamicState_SetFrameRate(*args)
    def FrameRate(*args): return _ivaria.iODEDynamicState_FrameRate(*args)
    def SetFrameLimit(*args): return _ivaria.iODEDynamicState_SetFrameLimit(*args)
    def FrameLimit(*args): return _ivaria.iODEDynamicState_FrameLimit(*args)
    def AddFrameUpdateCallback(*args): return _ivaria.iODEDynamicState_AddFrameUpdateCallback(*args)
    def RemoveFrameUpdateCallback(*args): return _ivaria.iODEDynamicState_RemoveFrameUpdateCallback(*args)
    def EnableEventProcessing(*args): return _ivaria.iODEDynamicState_EnableEventProcessing(*args)
    def EventProcessingEnabled(*args): return _ivaria.iODEDynamicState_EventProcessingEnabled(*args)
    def EnableFastObjects(*args): return _ivaria.iODEDynamicState_EnableFastObjects(*args)
    def FastObjectsEnabled(*args): return _ivaria.iODEDynamicState_FastObjectsEnabled(*args)
    scfGetVersion = staticmethod(_ivaria.iODEDynamicState_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEDynamicState
    __del__ = lambda self : None;
iODEDynamicState_swigregister = _ivaria.iODEDynamicState_swigregister
iODEDynamicState_swigregister(iODEDynamicState)
iODEDynamicState_scfGetVersion = _ivaria.iODEDynamicState_scfGetVersion

class iODEDynamicSystemState(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetERP(*args): return _ivaria.iODEDynamicSystemState_SetERP(*args)
    def ERP(*args): return _ivaria.iODEDynamicSystemState_ERP(*args)
    def SetCFM(*args): return _ivaria.iODEDynamicSystemState_SetCFM(*args)
    def CFM(*args): return _ivaria.iODEDynamicSystemState_CFM(*args)
    def EnableStepFast(*args): return _ivaria.iODEDynamicSystemState_EnableStepFast(*args)
    def StepFastEnabled(*args): return _ivaria.iODEDynamicSystemState_StepFastEnabled(*args)
    def SetStepFastIterations(*args): return _ivaria.iODEDynamicSystemState_SetStepFastIterations(*args)
    def StepFastIterations(*args): return _ivaria.iODEDynamicSystemState_StepFastIterations(*args)
    def EnableQuickStep(*args): return _ivaria.iODEDynamicSystemState_EnableQuickStep(*args)
    def QuickStepEnabled(*args): return _ivaria.iODEDynamicSystemState_QuickStepEnabled(*args)
    def SetQuickStepIterations(*args): return _ivaria.iODEDynamicSystemState_SetQuickStepIterations(*args)
    def QuickStepIterations(*args): return _ivaria.iODEDynamicSystemState_QuickStepIterations(*args)
    def EnableAutoDisable(*args): return _ivaria.iODEDynamicSystemState_EnableAutoDisable(*args)
    def AutoDisableEnabled(*args): return _ivaria.iODEDynamicSystemState_AutoDisableEnabled(*args)
    def SetAutoDisableParams(*args): return _ivaria.iODEDynamicSystemState_SetAutoDisableParams(*args)
    def EnableFrameRate(*args): return _ivaria.iODEDynamicSystemState_EnableFrameRate(*args)
    def FrameRateEnabled(*args): return _ivaria.iODEDynamicSystemState_FrameRateEnabled(*args)
    def SetFrameRate(*args): return _ivaria.iODEDynamicSystemState_SetFrameRate(*args)
    def FrameRate(*args): return _ivaria.iODEDynamicSystemState_FrameRate(*args)
    def SetFrameLimit(*args): return _ivaria.iODEDynamicSystemState_SetFrameLimit(*args)
    def FrameLimit(*args): return _ivaria.iODEDynamicSystemState_FrameLimit(*args)
    def AddFrameUpdateCallback(*args): return _ivaria.iODEDynamicSystemState_AddFrameUpdateCallback(*args)
    def RemoveFrameUpdateCallback(*args): return _ivaria.iODEDynamicSystemState_RemoveFrameUpdateCallback(*args)
    def EnableFastObjects(*args): return _ivaria.iODEDynamicSystemState_EnableFastObjects(*args)
    def FastObjectsEnabled(*args): return _ivaria.iODEDynamicSystemState_FastObjectsEnabled(*args)
    def CreateBallJoint(*args): return _ivaria.iODEDynamicSystemState_CreateBallJoint(*args)
    def CreateHingeJoint(*args): return _ivaria.iODEDynamicSystemState_CreateHingeJoint(*args)
    def CreateHinge2Joint(*args): return _ivaria.iODEDynamicSystemState_CreateHinge2Joint(*args)
    def CreateAMotorJoint(*args): return _ivaria.iODEDynamicSystemState_CreateAMotorJoint(*args)
    def CreateUniversalJoint(*args): return _ivaria.iODEDynamicSystemState_CreateUniversalJoint(*args)
    def CreateSliderJoint(*args): return _ivaria.iODEDynamicSystemState_CreateSliderJoint(*args)
    def RemoveJoint(*args): return _ivaria.iODEDynamicSystemState_RemoveJoint(*args)
    def SetContactMaxCorrectingVel(*args): return _ivaria.iODEDynamicSystemState_SetContactMaxCorrectingVel(*args)
    def GetContactMaxCorrectingVel(*args): return _ivaria.iODEDynamicSystemState_GetContactMaxCorrectingVel(*args)
    def SetContactSurfaceLayer(*args): return _ivaria.iODEDynamicSystemState_SetContactSurfaceLayer(*args)
    def GetContactSurfaceLayer(*args): return _ivaria.iODEDynamicSystemState_GetContactSurfaceLayer(*args)
    def EnableOldInertia(*args): return _ivaria.iODEDynamicSystemState_EnableOldInertia(*args)
    def IsOldInertiaEnabled(*args): return _ivaria.iODEDynamicSystemState_IsOldInertiaEnabled(*args)
    scfGetVersion = staticmethod(_ivaria.iODEDynamicSystemState_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEDynamicSystemState
    __del__ = lambda self : None;
iODEDynamicSystemState_swigregister = _ivaria.iODEDynamicSystemState_swigregister
iODEDynamicSystemState_swigregister(iODEDynamicSystemState)
iODEDynamicSystemState_scfGetVersion = _ivaria.iODEDynamicSystemState_scfGetVersion

CS_ODE_JOINT_TYPE_UNKNOWN = _ivaria.CS_ODE_JOINT_TYPE_UNKNOWN
CS_ODE_JOINT_TYPE_BALL = _ivaria.CS_ODE_JOINT_TYPE_BALL
CS_ODE_JOINT_TYPE_HINGE = _ivaria.CS_ODE_JOINT_TYPE_HINGE
CS_ODE_JOINT_TYPE_SLIDER = _ivaria.CS_ODE_JOINT_TYPE_SLIDER
CS_ODE_JOINT_TYPE_CONTACT = _ivaria.CS_ODE_JOINT_TYPE_CONTACT
CS_ODE_JOINT_TYPE_UNIVERSAL = _ivaria.CS_ODE_JOINT_TYPE_UNIVERSAL
CS_ODE_JOINT_TYPE_HINGE2 = _ivaria.CS_ODE_JOINT_TYPE_HINGE2
CS_ODE_JOINT_TYPE_FIXED = _ivaria.CS_ODE_JOINT_TYPE_FIXED
CS_ODE_JOINT_TYPE_AMOTOR = _ivaria.CS_ODE_JOINT_TYPE_AMOTOR
class iODEJointState(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetType(*args): return _ivaria.iODEJointState_GetType(*args)
    def SetLoStop(*args): return _ivaria.iODEJointState_SetLoStop(*args)
    def SetHiStop(*args): return _ivaria.iODEJointState_SetHiStop(*args)
    def SetVel(*args): return _ivaria.iODEJointState_SetVel(*args)
    def SetFMax(*args): return _ivaria.iODEJointState_SetFMax(*args)
    def SetFudgeFactor(*args): return _ivaria.iODEJointState_SetFudgeFactor(*args)
    def SetBounce(*args): return _ivaria.iODEJointState_SetBounce(*args)
    def SetCFM(*args): return _ivaria.iODEJointState_SetCFM(*args)
    def SetStopERP(*args): return _ivaria.iODEJointState_SetStopERP(*args)
    def SetStopCFM(*args): return _ivaria.iODEJointState_SetStopCFM(*args)
    def SetSuspensionERP(*args): return _ivaria.iODEJointState_SetSuspensionERP(*args)
    def SetSuspensionCFM(*args): return _ivaria.iODEJointState_SetSuspensionCFM(*args)
    def GetLoStop(*args): return _ivaria.iODEJointState_GetLoStop(*args)
    def GetHiStop(*args): return _ivaria.iODEJointState_GetHiStop(*args)
    def GetVel(*args): return _ivaria.iODEJointState_GetVel(*args)
    def GetMaxForce(*args): return _ivaria.iODEJointState_GetMaxForce(*args)
    def GetFudgeFactor(*args): return _ivaria.iODEJointState_GetFudgeFactor(*args)
    def GetBounce(*args): return _ivaria.iODEJointState_GetBounce(*args)
    def GetCFM(*args): return _ivaria.iODEJointState_GetCFM(*args)
    def GetStopERP(*args): return _ivaria.iODEJointState_GetStopERP(*args)
    def GetStopCFM(*args): return _ivaria.iODEJointState_GetStopCFM(*args)
    def GetSuspensionERP(*args): return _ivaria.iODEJointState_GetSuspensionERP(*args)
    def GetSuspensionCFM(*args): return _ivaria.iODEJointState_GetSuspensionCFM(*args)
    scfGetVersion = staticmethod(_ivaria.iODEJointState_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEJointState
    __del__ = lambda self : None;
iODEJointState_swigregister = _ivaria.iODEJointState_swigregister
iODEJointState_swigregister(iODEJointState)
iODEJointState_scfGetVersion = _ivaria.iODEJointState_scfGetVersion

class iODEGeneralJointState(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetLoStop(*args): return _ivaria.iODEGeneralJointState_SetLoStop(*args)
    def SetHiStop(*args): return _ivaria.iODEGeneralJointState_SetHiStop(*args)
    def SetVel(*args): return _ivaria.iODEGeneralJointState_SetVel(*args)
    def SetFMax(*args): return _ivaria.iODEGeneralJointState_SetFMax(*args)
    def SetFudgeFactor(*args): return _ivaria.iODEGeneralJointState_SetFudgeFactor(*args)
    def SetBounce(*args): return _ivaria.iODEGeneralJointState_SetBounce(*args)
    def SetCFM(*args): return _ivaria.iODEGeneralJointState_SetCFM(*args)
    def SetStopERP(*args): return _ivaria.iODEGeneralJointState_SetStopERP(*args)
    def SetStopCFM(*args): return _ivaria.iODEGeneralJointState_SetStopCFM(*args)
    def SetSuspensionERP(*args): return _ivaria.iODEGeneralJointState_SetSuspensionERP(*args)
    def SetSuspensionCFM(*args): return _ivaria.iODEGeneralJointState_SetSuspensionCFM(*args)
    def GetLoStop(*args): return _ivaria.iODEGeneralJointState_GetLoStop(*args)
    def GetHiStop(*args): return _ivaria.iODEGeneralJointState_GetHiStop(*args)
    def GetVel(*args): return _ivaria.iODEGeneralJointState_GetVel(*args)
    def GetFMax(*args): return _ivaria.iODEGeneralJointState_GetFMax(*args)
    def GetFudgeFactor(*args): return _ivaria.iODEGeneralJointState_GetFudgeFactor(*args)
    def GetBounce(*args): return _ivaria.iODEGeneralJointState_GetBounce(*args)
    def GetCFM(*args): return _ivaria.iODEGeneralJointState_GetCFM(*args)
    def GetStopERP(*args): return _ivaria.iODEGeneralJointState_GetStopERP(*args)
    def GetStopCFM(*args): return _ivaria.iODEGeneralJointState_GetStopCFM(*args)
    def GetSuspensionERP(*args): return _ivaria.iODEGeneralJointState_GetSuspensionERP(*args)
    def GetSuspensionCFM(*args): return _ivaria.iODEGeneralJointState_GetSuspensionCFM(*args)
    def Attach(*args): return _ivaria.iODEGeneralJointState_Attach(*args)
    def GetAttachedBody(*args): return _ivaria.iODEGeneralJointState_GetAttachedBody(*args)
    def GetFeedbackForce1(*args): return _ivaria.iODEGeneralJointState_GetFeedbackForce1(*args)
    def GetFeedbackTorque1(*args): return _ivaria.iODEGeneralJointState_GetFeedbackTorque1(*args)
    def GetFeedbackForce2(*args): return _ivaria.iODEGeneralJointState_GetFeedbackForce2(*args)
    def GetFeedbackTorque2(*args): return _ivaria.iODEGeneralJointState_GetFeedbackTorque2(*args)
    __swig_destroy__ = _ivaria.delete_iODEGeneralJointState
    __del__ = lambda self : None;
iODEGeneralJointState_swigregister = _ivaria.iODEGeneralJointState_swigregister
iODEGeneralJointState_swigregister(iODEGeneralJointState)

class iODESliderJoint(iODEGeneralJointState):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetSliderAxis(*args): return _ivaria.iODESliderJoint_SetSliderAxis(*args)
    def GetSliderAxis(*args): return _ivaria.iODESliderJoint_GetSliderAxis(*args)
    def GetSliderPosition(*args): return _ivaria.iODESliderJoint_GetSliderPosition(*args)
    def GetSliderPositionRate(*args): return _ivaria.iODESliderJoint_GetSliderPositionRate(*args)
    scfGetVersion = staticmethod(_ivaria.iODESliderJoint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODESliderJoint
    __del__ = lambda self : None;
iODESliderJoint_swigregister = _ivaria.iODESliderJoint_swigregister
iODESliderJoint_swigregister(iODESliderJoint)
iODESliderJoint_scfGetVersion = _ivaria.iODESliderJoint_scfGetVersion

class iODEUniversalJoint(iODEGeneralJointState):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetUniversalAnchor(*args): return _ivaria.iODEUniversalJoint_SetUniversalAnchor(*args)
    def SetUniversalAxis1(*args): return _ivaria.iODEUniversalJoint_SetUniversalAxis1(*args)
    def SetUniversalAxis2(*args): return _ivaria.iODEUniversalJoint_SetUniversalAxis2(*args)
    def GetUniversalAnchor1(*args): return _ivaria.iODEUniversalJoint_GetUniversalAnchor1(*args)
    def GetUniversalAnchor2(*args): return _ivaria.iODEUniversalJoint_GetUniversalAnchor2(*args)
    def GetUniversalAxis1(*args): return _ivaria.iODEUniversalJoint_GetUniversalAxis1(*args)
    def GetUniversalAxis2(*args): return _ivaria.iODEUniversalJoint_GetUniversalAxis2(*args)
    scfGetVersion = staticmethod(_ivaria.iODEUniversalJoint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEUniversalJoint
    __del__ = lambda self : None;
iODEUniversalJoint_swigregister = _ivaria.iODEUniversalJoint_swigregister
iODEUniversalJoint_swigregister(iODEUniversalJoint)
iODEUniversalJoint_scfGetVersion = _ivaria.iODEUniversalJoint_scfGetVersion

CS_ODE_AMOTOR_MODE_UNKNOWN = _ivaria.CS_ODE_AMOTOR_MODE_UNKNOWN
CS_ODE_AMOTOR_MODE_USER = _ivaria.CS_ODE_AMOTOR_MODE_USER
CS_ODE_AMOTOR_MODE_EULER = _ivaria.CS_ODE_AMOTOR_MODE_EULER
CS_ODE_AMOTOR_MODE_LAST = _ivaria.CS_ODE_AMOTOR_MODE_LAST
class iODEAMotorJoint(iODEGeneralJointState):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetAMotorMode(*args): return _ivaria.iODEAMotorJoint_SetAMotorMode(*args)
    def GetAMotorMode(*args): return _ivaria.iODEAMotorJoint_GetAMotorMode(*args)
    def SetAMotorNumAxes(*args): return _ivaria.iODEAMotorJoint_SetAMotorNumAxes(*args)
    def GetAMotorNumAxes(*args): return _ivaria.iODEAMotorJoint_GetAMotorNumAxes(*args)
    def SetAMotorAxis(*args): return _ivaria.iODEAMotorJoint_SetAMotorAxis(*args)
    def GetAMotorAxis(*args): return _ivaria.iODEAMotorJoint_GetAMotorAxis(*args)
    def GetAMotorAxisRelOrientation(*args): return _ivaria.iODEAMotorJoint_GetAMotorAxisRelOrientation(*args)
    def SetAMotorAngle(*args): return _ivaria.iODEAMotorJoint_SetAMotorAngle(*args)
    def GetAMotorAngle(*args): return _ivaria.iODEAMotorJoint_GetAMotorAngle(*args)
    def GetAMotorAngleRate(*args): return _ivaria.iODEAMotorJoint_GetAMotorAngleRate(*args)
    scfGetVersion = staticmethod(_ivaria.iODEAMotorJoint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEAMotorJoint
    __del__ = lambda self : None;
iODEAMotorJoint_swigregister = _ivaria.iODEAMotorJoint_swigregister
iODEAMotorJoint_swigregister(iODEAMotorJoint)
iODEAMotorJoint_scfGetVersion = _ivaria.iODEAMotorJoint_scfGetVersion

class iODEHinge2Joint(iODEGeneralJointState):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetHingeAnchor(*args): return _ivaria.iODEHinge2Joint_SetHingeAnchor(*args)
    def SetHingeAxis1(*args): return _ivaria.iODEHinge2Joint_SetHingeAxis1(*args)
    def SetHingeAxis2(*args): return _ivaria.iODEHinge2Joint_SetHingeAxis2(*args)
    def GetHingeAnchor1(*args): return _ivaria.iODEHinge2Joint_GetHingeAnchor1(*args)
    def GetHingeAnchor2(*args): return _ivaria.iODEHinge2Joint_GetHingeAnchor2(*args)
    def GetHingeAxis1(*args): return _ivaria.iODEHinge2Joint_GetHingeAxis1(*args)
    def GetHingeAxis2(*args): return _ivaria.iODEHinge2Joint_GetHingeAxis2(*args)
    def GetHingeAngle(*args): return _ivaria.iODEHinge2Joint_GetHingeAngle(*args)
    def GetHingeAngleRate1(*args): return _ivaria.iODEHinge2Joint_GetHingeAngleRate1(*args)
    def GetHingeAngleRate2(*args): return _ivaria.iODEHinge2Joint_GetHingeAngleRate2(*args)
    def GetAnchorError(*args): return _ivaria.iODEHinge2Joint_GetAnchorError(*args)
    scfGetVersion = staticmethod(_ivaria.iODEHinge2Joint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEHinge2Joint
    __del__ = lambda self : None;
iODEHinge2Joint_swigregister = _ivaria.iODEHinge2Joint_swigregister
iODEHinge2Joint_swigregister(iODEHinge2Joint)
iODEHinge2Joint_scfGetVersion = _ivaria.iODEHinge2Joint_scfGetVersion

class iODEHingeJoint(iODEGeneralJointState):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetHingeAnchor(*args): return _ivaria.iODEHingeJoint_SetHingeAnchor(*args)
    def SetHingeAxis(*args): return _ivaria.iODEHingeJoint_SetHingeAxis(*args)
    def GetHingeAnchor1(*args): return _ivaria.iODEHingeJoint_GetHingeAnchor1(*args)
    def GetHingeAnchor2(*args): return _ivaria.iODEHingeJoint_GetHingeAnchor2(*args)
    def GetHingeAxis(*args): return _ivaria.iODEHingeJoint_GetHingeAxis(*args)
    def GetHingeAngle(*args): return _ivaria.iODEHingeJoint_GetHingeAngle(*args)
    def GetHingeAngleRate(*args): return _ivaria.iODEHingeJoint_GetHingeAngleRate(*args)
    def GetAnchorError(*args): return _ivaria.iODEHingeJoint_GetAnchorError(*args)
    scfGetVersion = staticmethod(_ivaria.iODEHingeJoint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEHingeJoint
    __del__ = lambda self : None;
iODEHingeJoint_swigregister = _ivaria.iODEHingeJoint_swigregister
iODEHingeJoint_swigregister(iODEHingeJoint)
iODEHingeJoint_scfGetVersion = _ivaria.iODEHingeJoint_scfGetVersion

class iODEBallJoint(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetBallAnchor(*args): return _ivaria.iODEBallJoint_SetBallAnchor(*args)
    def GetBallAnchor1(*args): return _ivaria.iODEBallJoint_GetBallAnchor1(*args)
    def GetBallAnchor2(*args): return _ivaria.iODEBallJoint_GetBallAnchor2(*args)
    def GetAnchorError(*args): return _ivaria.iODEBallJoint_GetAnchorError(*args)
    def Attach(*args): return _ivaria.iODEBallJoint_Attach(*args)
    def GetAttachedBody(*args): return _ivaria.iODEBallJoint_GetAttachedBody(*args)
    def GetFeedbackForce1(*args): return _ivaria.iODEBallJoint_GetFeedbackForce1(*args)
    def GetFeedbackTorque1(*args): return _ivaria.iODEBallJoint_GetFeedbackTorque1(*args)
    def GetFeedbackForce2(*args): return _ivaria.iODEBallJoint_GetFeedbackForce2(*args)
    def GetFeedbackTorque2(*args): return _ivaria.iODEBallJoint_GetFeedbackTorque2(*args)
    scfGetVersion = staticmethod(_ivaria.iODEBallJoint_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iODEBallJoint
    __del__ = lambda self : None;
iODEBallJoint_swigregister = _ivaria.iODEBallJoint_swigregister
iODEBallJoint_swigregister(iODEBallJoint)
iODEBallJoint_scfGetVersion = _ivaria.iODEBallJoint_scfGetVersion

CS_SEQUENCE_LIGHTCHANGE_NONE = _ivaria.CS_SEQUENCE_LIGHTCHANGE_NONE
CS_SEQUENCE_LIGHTCHANGE_LESS = _ivaria.CS_SEQUENCE_LIGHTCHANGE_LESS
CS_SEQUENCE_LIGHTCHANGE_GREATER = _ivaria.CS_SEQUENCE_LIGHTCHANGE_GREATER
class iParameterESM(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetValue(*args): return _ivaria.iParameterESM_GetValue(*args)
    def IsConstant(*args): return _ivaria.iParameterESM_IsConstant(*args)
    __swig_destroy__ = _ivaria.delete_iParameterESM
    __del__ = lambda self : None;
iParameterESM_swigregister = _ivaria.iParameterESM_swigregister
iParameterESM_swigregister(iParameterESM)

class iEngineSequenceParameters(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetParameterCount(*args): return _ivaria.iEngineSequenceParameters_GetParameterCount(*args)
    def GetParameter(*args): return _ivaria.iEngineSequenceParameters_GetParameter(*args)
    def GetParameterIdx(*args): return _ivaria.iEngineSequenceParameters_GetParameterIdx(*args)
    def GetParameterName(*args): return _ivaria.iEngineSequenceParameters_GetParameterName(*args)
    def AddParameter(*args): return _ivaria.iEngineSequenceParameters_AddParameter(*args)
    def SetParameter(*args): return _ivaria.iEngineSequenceParameters_SetParameter(*args)
    def CreateParameterESM(*args): return _ivaria.iEngineSequenceParameters_CreateParameterESM(*args)
    __swig_destroy__ = _ivaria.delete_iEngineSequenceParameters
    __del__ = lambda self : None;
iEngineSequenceParameters_swigregister = _ivaria.iEngineSequenceParameters_swigregister
iEngineSequenceParameters_swigregister(iEngineSequenceParameters)

class iSequenceWrapper(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def QueryObject(*args): return _ivaria.iSequenceWrapper_QueryObject(*args)
    def GetSequence(*args): return _ivaria.iSequenceWrapper_GetSequence(*args)
    def CreateBaseParameterBlock(*args): return _ivaria.iSequenceWrapper_CreateBaseParameterBlock(*args)
    def GetBaseParameterBlock(*args): return _ivaria.iSequenceWrapper_GetBaseParameterBlock(*args)
    def CreateParameterBlock(*args): return _ivaria.iSequenceWrapper_CreateParameterBlock(*args)
    def AddOperationSetVariable(*args): return _ivaria.iSequenceWrapper_AddOperationSetVariable(*args)
    def AddOperationSetMaterial(*args): return _ivaria.iSequenceWrapper_AddOperationSetMaterial(*args)
    def AddOperationSetPolygonMaterial(*args): return _ivaria.iSequenceWrapper_AddOperationSetPolygonMaterial(*args)
    def AddOperationSetLight(*args): return _ivaria.iSequenceWrapper_AddOperationSetLight(*args)
    def AddOperationFadeLight(*args): return _ivaria.iSequenceWrapper_AddOperationFadeLight(*args)
    def AddOperationSetAmbient(*args): return _ivaria.iSequenceWrapper_AddOperationSetAmbient(*args)
    def AddOperationFadeAmbient(*args): return _ivaria.iSequenceWrapper_AddOperationFadeAmbient(*args)
    def AddOperationRandomDelay(*args): return _ivaria.iSequenceWrapper_AddOperationRandomDelay(*args)
    def AddOperationSetMeshColor(*args): return _ivaria.iSequenceWrapper_AddOperationSetMeshColor(*args)
    def AddOperationFadeMeshColor(*args): return _ivaria.iSequenceWrapper_AddOperationFadeMeshColor(*args)
    def AddOperationSetFog(*args): return _ivaria.iSequenceWrapper_AddOperationSetFog(*args)
    def AddOperationFadeFog(*args): return _ivaria.iSequenceWrapper_AddOperationFadeFog(*args)
    def AddOperationRotateDuration(*args): return _ivaria.iSequenceWrapper_AddOperationRotateDuration(*args)
    def AddOperationMoveDuration(*args): return _ivaria.iSequenceWrapper_AddOperationMoveDuration(*args)
    def AddOperationTriggerState(*args): return _ivaria.iSequenceWrapper_AddOperationTriggerState(*args)
    def AddOperationCheckTrigger(*args): return _ivaria.iSequenceWrapper_AddOperationCheckTrigger(*args)
    def AddOperationTestTrigger(*args): return _ivaria.iSequenceWrapper_AddOperationTestTrigger(*args)
    __swig_destroy__ = _ivaria.delete_iSequenceWrapper
    __del__ = lambda self : None;
iSequenceWrapper_swigregister = _ivaria.iSequenceWrapper_swigregister
iSequenceWrapper_swigregister(iSequenceWrapper)

class iSequenceTrigger(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def QueryObject(*args): return _ivaria.iSequenceTrigger_QueryObject(*args)
    def AddConditionInSector(*args): return _ivaria.iSequenceTrigger_AddConditionInSector(*args)
    def AddConditionSectorVisible(*args): return _ivaria.iSequenceTrigger_AddConditionSectorVisible(*args)
    def AddConditionMeshClick(*args): return _ivaria.iSequenceTrigger_AddConditionMeshClick(*args)
    def AddConditionLightChange(*args): return _ivaria.iSequenceTrigger_AddConditionLightChange(*args)
    def AddConditionManual(*args): return _ivaria.iSequenceTrigger_AddConditionManual(*args)
    def SetEnabled(*args): return _ivaria.iSequenceTrigger_SetEnabled(*args)
    def IsEnabled(*args): return _ivaria.iSequenceTrigger_IsEnabled(*args)
    def ClearConditions(*args): return _ivaria.iSequenceTrigger_ClearConditions(*args)
    def Trigger(*args): return _ivaria.iSequenceTrigger_Trigger(*args)
    def SetParameters(*args): return _ivaria.iSequenceTrigger_SetParameters(*args)
    def GetParameters(*args): return _ivaria.iSequenceTrigger_GetParameters(*args)
    def FireSequence(*args): return _ivaria.iSequenceTrigger_FireSequence(*args)
    def GetFiredSequence(*args): return _ivaria.iSequenceTrigger_GetFiredSequence(*args)
    def TestConditions(*args): return _ivaria.iSequenceTrigger_TestConditions(*args)
    def CheckState(*args): return _ivaria.iSequenceTrigger_CheckState(*args)
    def ForceFire(*args): return _ivaria.iSequenceTrigger_ForceFire(*args)
    __swig_destroy__ = _ivaria.delete_iSequenceTrigger
    __del__ = lambda self : None;
iSequenceTrigger_swigregister = _ivaria.iSequenceTrigger_swigregister
iSequenceTrigger_swigregister(iSequenceTrigger)

class iSequenceTimedOperation(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Do(*args): return _ivaria.iSequenceTimedOperation_Do(*args)
    __swig_destroy__ = _ivaria.delete_iSequenceTimedOperation
    __del__ = lambda self : None;
iSequenceTimedOperation_swigregister = _ivaria.iSequenceTimedOperation_swigregister
iSequenceTimedOperation_swigregister(iSequenceTimedOperation)

class iEngineSequenceManager(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetSequenceManager(*args): return _ivaria.iEngineSequenceManager_GetSequenceManager(*args)
    def CreateParameterESM(*args): return _ivaria.iEngineSequenceManager_CreateParameterESM(*args)
    def CreateTrigger(*args): return _ivaria.iEngineSequenceManager_CreateTrigger(*args)
    def RemoveTrigger(*args): return _ivaria.iEngineSequenceManager_RemoveTrigger(*args)
    def RemoveTriggers(*args): return _ivaria.iEngineSequenceManager_RemoveTriggers(*args)
    def GetTriggerCount(*args): return _ivaria.iEngineSequenceManager_GetTriggerCount(*args)
    def GetTrigger(*args): return _ivaria.iEngineSequenceManager_GetTrigger(*args)
    def FindTriggerByName(*args): return _ivaria.iEngineSequenceManager_FindTriggerByName(*args)
    def FireTriggerByName(*args): return _ivaria.iEngineSequenceManager_FireTriggerByName(*args)
    def CreateSequence(*args): return _ivaria.iEngineSequenceManager_CreateSequence(*args)
    def RemoveSequence(*args): return _ivaria.iEngineSequenceManager_RemoveSequence(*args)
    def RemoveSequences(*args): return _ivaria.iEngineSequenceManager_RemoveSequences(*args)
    def GetSequenceCount(*args): return _ivaria.iEngineSequenceManager_GetSequenceCount(*args)
    def GetSequence(*args): return _ivaria.iEngineSequenceManager_GetSequence(*args)
    def FindSequenceByName(*args): return _ivaria.iEngineSequenceManager_FindSequenceByName(*args)
    def RunSequenceByName(*args): return _ivaria.iEngineSequenceManager_RunSequenceByName(*args)
    def FireTimedOperation(*args): return _ivaria.iEngineSequenceManager_FireTimedOperation(*args)
    def DestroyTimedOperations(*args): return _ivaria.iEngineSequenceManager_DestroyTimedOperations(*args)
    scfGetVersion = staticmethod(_ivaria.iEngineSequenceManager_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iEngineSequenceManager
    __del__ = lambda self : None;
iEngineSequenceManager_swigregister = _ivaria.iEngineSequenceManager_swigregister
iEngineSequenceManager_swigregister(iEngineSequenceManager)
iEngineSequenceManager_scfGetVersion = _ivaria.iEngineSequenceManager_scfGetVersion

class iMovieRecorder(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Start(*args): return _ivaria.iMovieRecorder_Start(*args)
    def Stop(*args): return _ivaria.iMovieRecorder_Stop(*args)
    def IsRecording(*args): return _ivaria.iMovieRecorder_IsRecording(*args)
    def Pause(*args): return _ivaria.iMovieRecorder_Pause(*args)
    def UnPause(*args): return _ivaria.iMovieRecorder_UnPause(*args)
    def IsPaused(*args): return _ivaria.iMovieRecorder_IsPaused(*args)
    scfGetVersion = staticmethod(_ivaria.iMovieRecorder_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iMovieRecorder
    __del__ = lambda self : None;
iMovieRecorder_swigregister = _ivaria.iMovieRecorder_swigregister
iMovieRecorder_swigregister(iMovieRecorder)
iMovieRecorder_scfGetVersion = _ivaria.iMovieRecorder_scfGetVersion

class iMapNode(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def QueryObject(*args): return _ivaria.iMapNode_QueryObject(*args)
    def SetPosition(*args): return _ivaria.iMapNode_SetPosition(*args)
    def GetPosition(*args): return _ivaria.iMapNode_GetPosition(*args)
    def SetXVector(*args): return _ivaria.iMapNode_SetXVector(*args)
    def GetXVector(*args): return _ivaria.iMapNode_GetXVector(*args)
    def SetYVector(*args): return _ivaria.iMapNode_SetYVector(*args)
    def GetYVector(*args): return _ivaria.iMapNode_GetYVector(*args)
    def SetZVector(*args): return _ivaria.iMapNode_SetZVector(*args)
    def GetZVector(*args): return _ivaria.iMapNode_GetZVector(*args)
    def SetSector(*args): return _ivaria.iMapNode_SetSector(*args)
    def GetSector(*args): return _ivaria.iMapNode_GetSector(*args)
    scfGetVersion = staticmethod(_ivaria.iMapNode_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iMapNode
    __del__ = lambda self : None;
iMapNode_swigregister = _ivaria.iMapNode_swigregister
iMapNode_swigregister(iMapNode)
iMapNode_scfGetVersion = _ivaria.iMapNode_scfGetVersion

class iSequenceOperation(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Do(*args): return _ivaria.iSequenceOperation_Do(*args)
    def CleanupSequences(*args): return _ivaria.iSequenceOperation_CleanupSequences(*args)
    scfGetVersion = staticmethod(_ivaria.iSequenceOperation_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iSequenceOperation
    __del__ = lambda self : None;
iSequenceOperation_swigregister = _ivaria.iSequenceOperation_swigregister
iSequenceOperation_swigregister(iSequenceOperation)
iSequenceOperation_scfGetVersion = _ivaria.iSequenceOperation_scfGetVersion

class iSequenceCondition(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Condition(*args): return _ivaria.iSequenceCondition_Condition(*args)
    scfGetVersion = staticmethod(_ivaria.iSequenceCondition_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iSequenceCondition
    __del__ = lambda self : None;
iSequenceCondition_swigregister = _ivaria.iSequenceCondition_swigregister
iSequenceCondition_swigregister(iSequenceCondition)
iSequenceCondition_scfGetVersion = _ivaria.iSequenceCondition_scfGetVersion

class csSequenceOp(object):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    __repr__ = _swig_repr
    next = _swig_property(_ivaria.csSequenceOp_next_get, _ivaria.csSequenceOp_next_set)
    prev = _swig_property(_ivaria.csSequenceOp_prev_get, _ivaria.csSequenceOp_prev_set)
    time = _swig_property(_ivaria.csSequenceOp_time_get, _ivaria.csSequenceOp_time_set)
    params = _swig_property(_ivaria.csSequenceOp_params_get, _ivaria.csSequenceOp_params_set)
    operation = _swig_property(_ivaria.csSequenceOp_operation_get, _ivaria.csSequenceOp_operation_set)
    sequence_id = _swig_property(_ivaria.csSequenceOp_sequence_id_get, _ivaria.csSequenceOp_sequence_id_set)
    def __init__(self, *args): 
        this = _ivaria.new_csSequenceOp(*args)
        try: self.this.append(this)
        except: self.this = this
    __swig_destroy__ = _ivaria.delete_csSequenceOp
    __del__ = lambda self : None;
csSequenceOp_swigregister = _ivaria.csSequenceOp_swigregister
csSequenceOp_swigregister(csSequenceOp)

class iSequence(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetFirstSequence(*args): return _ivaria.iSequence_GetFirstSequence(*args)
    def AddOperation(*args): return _ivaria.iSequence_AddOperation(*args)
    def AddRunSequence(*args): return _ivaria.iSequence_AddRunSequence(*args)
    def AddCondition(*args): return _ivaria.iSequence_AddCondition(*args)
    def AddLoop(*args): return _ivaria.iSequence_AddLoop(*args)
    def Clear(*args): return _ivaria.iSequence_Clear(*args)
    def IsEmpty(*args): return _ivaria.iSequence_IsEmpty(*args)
    scfGetVersion = staticmethod(_ivaria.iSequence_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iSequence
    __del__ = lambda self : None;
iSequence_swigregister = _ivaria.iSequence_swigregister
iSequence_swigregister(iSequence)
iSequence_scfGetVersion = _ivaria.iSequence_scfGetVersion

class iSequenceManager(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def Clear(*args): return _ivaria.iSequenceManager_Clear(*args)
    def IsEmpty(*args): return _ivaria.iSequenceManager_IsEmpty(*args)
    def Suspend(*args): return _ivaria.iSequenceManager_Suspend(*args)
    def Resume(*args): return _ivaria.iSequenceManager_Resume(*args)
    def IsSuspended(*args): return _ivaria.iSequenceManager_IsSuspended(*args)
    def TimeWarp(*args): return _ivaria.iSequenceManager_TimeWarp(*args)
    def GetMainTime(*args): return _ivaria.iSequenceManager_GetMainTime(*args)
    def GetDeltaTime(*args): return _ivaria.iSequenceManager_GetDeltaTime(*args)
    def NewSequence(*args): return _ivaria.iSequenceManager_NewSequence(*args)
    def RunSequence(*args): return _ivaria.iSequenceManager_RunSequence(*args)
    def DestroySequenceOperations(*args): return _ivaria.iSequenceManager_DestroySequenceOperations(*args)
    def GetUniqueID(*args): return _ivaria.iSequenceManager_GetUniqueID(*args)
    scfGetVersion = staticmethod(_ivaria.iSequenceManager_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iSequenceManager
    __del__ = lambda self : None;
iSequenceManager_swigregister = _ivaria.iSequenceManager_swigregister
iSequenceManager_swigregister(iSequenceManager)
iSequenceManager_scfGetVersion = _ivaria.iSequenceManager_scfGetVersion

class iScriptValue(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    tInt = _ivaria.iScriptValue_tInt
    tFloat = _ivaria.iScriptValue_tFloat
    tDouble = _ivaria.iScriptValue_tDouble
    tString = _ivaria.iScriptValue_tString
    tBool = _ivaria.iScriptValue_tBool
    tObject = _ivaria.iScriptValue_tObject
    def GetScript(*args): return _ivaria.iScriptValue_GetScript(*args)
    def GetTypes(*args): return _ivaria.iScriptValue_GetTypes(*args)
    def GetInt(*args): return _ivaria.iScriptValue_GetInt(*args)
    def GetFloat(*args): return _ivaria.iScriptValue_GetFloat(*args)
    def GetDouble(*args): return _ivaria.iScriptValue_GetDouble(*args)
    def GetString(*args): return _ivaria.iScriptValue_GetString(*args)
    def GetBool(*args): return _ivaria.iScriptValue_GetBool(*args)
    def GetObject(*args): return _ivaria.iScriptValue_GetObject(*args)
    __swig_destroy__ = _ivaria.delete_iScriptValue
    __del__ = lambda self : None;
iScriptValue_swigregister = _ivaria.iScriptValue_swigregister
iScriptValue_swigregister(iScriptValue)

class iScriptObject(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetScript(*args): return _ivaria.iScriptObject_GetScript(*args)
    def GetClass(*args): return _ivaria.iScriptObject_GetClass(*args)
    def IsA(*args): return _ivaria.iScriptObject_IsA(*args)
    def IsType(*args): return _ivaria.iScriptObject_IsType(*args)
    def GetPointer(*args): return _ivaria.iScriptObject_GetPointer(*args)
    def SetPointer(*args): return _ivaria.iScriptObject_SetPointer(*args)
    def Call(*args): return _ivaria.iScriptObject_Call(*args)
    def SetFloat(*args): return _ivaria.iScriptObject_SetFloat(*args)
    def Set(*args): return _ivaria.iScriptObject_Set(*args)
    def SetTruth(*args): return _ivaria.iScriptObject_SetTruth(*args)
    def GetFloat(*args): return _ivaria.iScriptObject_GetFloat(*args)
    def Get(*args): return _ivaria.iScriptObject_Get(*args)
    def GetTruth(*args): return _ivaria.iScriptObject_GetTruth(*args)
    scfGetVersion = staticmethod(_ivaria.iScriptObject_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iScriptObject
    __del__ = lambda self : None;
iScriptObject_swigregister = _ivaria.iScriptObject_swigregister
iScriptObject_swigregister(iScriptObject)
iScriptObject_scfGetVersion = _ivaria.iScriptObject_scfGetVersion

class iScript(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def RunText(*args): return _ivaria.iScript_RunText(*args)
    def LoadModule(*args): return _ivaria.iScript_LoadModule(*args)
    def LoadModuleNative(*args): return _ivaria.iScript_LoadModuleNative(*args)
    def Call(*args): return _ivaria.iScript_Call(*args)
    def RValue(*args): return _ivaria.iScript_RValue(*args)
    def New(*args): return _ivaria.iScript_New(*args)
    def Store(*args): return _ivaria.iScript_Store(*args)
    def Remove(*args): return _ivaria.iScript_Remove(*args)
    def NewObject(*args): return _ivaria.iScript_NewObject(*args)
    def RetrieveFloat(*args): return _ivaria.iScript_RetrieveFloat(*args)
    def Retrieve(*args): return _ivaria.iScript_Retrieve(*args)
    def GetTruth(*args): return _ivaria.iScript_GetTruth(*args)
    scfGetVersion = staticmethod(_ivaria.iScript_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iScript
    __del__ = lambda self : None;
iScript_swigregister = _ivaria.iScript_swigregister
iScript_swigregister(iScript)
iScript_scfGetVersion = _ivaria.iScript_scfGetVersion

class iSimpleFormerState(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SetHeightmap(*args): return _ivaria.iSimpleFormerState_SetHeightmap(*args)
    def SetScale(*args): return _ivaria.iSimpleFormerState_SetScale(*args)
    def SetOffset(*args): return _ivaria.iSimpleFormerState_SetOffset(*args)
    def SetIntegerMap(*args): return _ivaria.iSimpleFormerState_SetIntegerMap(*args)
    def SetFloatMap(*args): return _ivaria.iSimpleFormerState_SetFloatMap(*args)
    def GetFloatMap(*args): return _ivaria.iSimpleFormerState_GetFloatMap(*args)
    def SetMaterialScale(*args): return _ivaria.iSimpleFormerState_SetMaterialScale(*args)
    scfGetVersion = staticmethod(_ivaria.iSimpleFormerState_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iSimpleFormerState
    __del__ = lambda self : None;
iSimpleFormerState_swigregister = _ivaria.iSimpleFormerState_swigregister
iSimpleFormerState_swigregister(iSimpleFormerState)
iSimpleFormerState_scfGetVersion = _ivaria.iSimpleFormerState_scfGetVersion

class iTerraFormer(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetSampler(*args): return _ivaria.iTerraFormer_GetSampler(*args)
    def GetIntegerMapSize(*args): return _ivaria.iTerraFormer_GetIntegerMapSize(*args)
    def SampleFloat(*args): return _ivaria.iTerraFormer_SampleFloat(*args)
    def SampleVector2(*args): return _ivaria.iTerraFormer_SampleVector2(*args)
    def SampleVector3(*args): return _ivaria.iTerraFormer_SampleVector3(*args)
    def SampleInteger(*args): return _ivaria.iTerraFormer_SampleInteger(*args)
    def QueryObject(*args): return _ivaria.iTerraFormer_QueryObject(*args)
    scfGetVersion = staticmethod(_ivaria.iTerraFormer_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iTerraFormer
    __del__ = lambda self : None;
iTerraFormer_swigregister = _ivaria.iTerraFormer_swigregister
iTerraFormer_swigregister(iTerraFormer)
iTerraFormer_scfGetVersion = _ivaria.iTerraFormer_scfGetVersion

class iTerraSampler(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def SampleFloat(*args): return _ivaria.iTerraSampler_SampleFloat(*args)
    def SampleVector2(*args): return _ivaria.iTerraSampler_SampleVector2(*args)
    def SampleVector3(*args): return _ivaria.iTerraSampler_SampleVector3(*args)
    def SampleInteger(*args): return _ivaria.iTerraSampler_SampleInteger(*args)
    def GetMaterialPalette(*args): return _ivaria.iTerraSampler_GetMaterialPalette(*args)
    def GetRegion(*args): return _ivaria.iTerraSampler_GetRegion(*args)
    def GetResolution(*args): return _ivaria.iTerraSampler_GetResolution(*args)
    def GetVersion(*args): return _ivaria.iTerraSampler_GetVersion(*args)
    def Cleanup(*args): return _ivaria.iTerraSampler_Cleanup(*args)
    scfGetVersion = staticmethod(_ivaria.iTerraSampler_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iTerraSampler
    __del__ = lambda self : None;
iTerraSampler_swigregister = _ivaria.iTerraSampler_swigregister
iTerraSampler_swigregister(iTerraSampler)
iTerraSampler_scfGetVersion = _ivaria.iTerraSampler_scfGetVersion

class iTranslator(core.iBase):
    thisown = _swig_property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc='The membership flag')
    def __init__(self): raise AttributeError, "No constructor defined"
    __repr__ = _swig_repr
    def GetMsg(*args): return _ivaria.iTranslator_GetMsg(*args)
    scfGetVersion = staticmethod(_ivaria.iTranslator_scfGetVersion)
    __swig_destroy__ = _ivaria.delete_iTranslator
    __del__ = lambda self : None;
iTranslator_swigregister = _ivaria.iTranslator_swigregister
iTranslator_swigregister(iTranslator)
iTranslator_scfGetVersion = _ivaria.iTranslator_scfGetVersion

def CS_REQUEST_REPORTERLISTENER ():
  return core.CS_REQUEST_PLUGIN("crystalspace.utilities.stdrep",
    iStandardReporterListener)
def CS_REQUEST_CONSOLEOUT ():
  return core.CS_REQUEST_PLUGIN("crystalspace.console.output.standard",
    iConsoleOutput)



